/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */
#pragma once

#define TILE_WIDTH  16
#define TILE_HEIGHT 16
#define TARGET_FPS  30
#define TARGET_UPS  60
#define ACC_GND     0.1
#define ACC_AIR     0.025
#define MAX_HSPD    3.0
#define FRC_GND     (ACC_GND / MAX_HSPD)
#define FRC_AIR     (ACC_AIR / MAX_HSPD)
#define AIR_RES     0.02
#define GRAVITY     0.2
#define JUMP_SPD    -4.0
#define AIR_JMP_SPD -3.0
#define JUMP_BUFFER 10
#define JUMP_GRACE  10
#define AIR_JUMPS   3
#define BURST_BOOST 0.5
